export const MultilineBlockquoteRule = (state, startLine, endLine) => {
    let nextLine, token;
    let pos = state.bMarks[startLine] + state.tShift[startLine];
    if (state.sCount[startLine] - state.blkIndent >= 4) {
        return false;
    }
    let marker = state.src.charCodeAt(pos);
    if (marker !== 0x3e) {
        return false;
    }
    let markerLength = state.skipChars(pos, marker) - pos;
    if (markerLength !== 3)
        return false;
    if (state.src.charCodeAt(state.skipChars(pos + markerLength, 0x20)) !== 0x0a) {
        return false;
    }
    nextLine = startLine + 1;
    while (nextLine < endLine) {
        pos = state.bMarks[nextLine] + state.tShift[nextLine];
        marker = state.src.charCodeAt(pos);
        if (marker === 0x3e && (markerLength = state.skipChars(pos, marker) - pos) === 3) {
            pos = state.skipChars(pos + markerLength, 0x20);
            if (pos >= state.src.length || state.src.charCodeAt(pos) === 0x0a)
                break;
        }
        nextLine++;
    }
    if (nextLine > endLine) {
        return false;
    }
    token = state.push('multiline_blockquote_open', 'blockquote', 1);
    token.markup = '>>>';
    token.map = [startLine, 0];
    state.md.block.tokenize(state, startLine + 1, nextLine);
    token = state.push('multiline_blockquote_close', 'blockquote', -1);
    token.map = [nextLine, 0];
    state.line = nextLine + 1;
    return true;
};
//# sourceMappingURL=multiline-blockquote.rule.js.map